NTRUSigningPrivateKeyParameters.Basis (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.pqc.crypto.ntru

## Class NTRUSigningPrivateKeyParameters.Basis

- java.lang.Object
- - org.bouncycastle.pqc.crypto.ntru.NTRUSigningPrivateKeyParameters.Basis

- Direct Known Subclasses:
    NTRUSigningKeyPairGenerator.FGBasis
  Enclosing class:
    NTRUSigningPrivateKeyParameters

      public static class NTRUSigningPrivateKeyParameters.Basis
      extends java.lang.Object

  A NtruSign basis. Contains three polynomials `f, f', h`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Polynomial` | `f`
    `Polynomial` | `fPrime`
    `IntegerPolynomial` | `h`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `NTRUSigningPrivateKeyParameters.Basis(Polynomial f, Polynomial fPrime, IntegerPolynomial h, NTRUSigningKeyGenerationParameters params)` Constructs a new basis from polynomials `f, f', h`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### f

          public Polynomial f

    - #### fPrime

          public Polynomial fPrime

    - #### h

          public IntegerPolynomial h

  - ### Constructor Detail

    - #### NTRUSigningPrivateKeyParameters.Basis

          protected NTRUSigningPrivateKeyParameters.Basis(Polynomial f,
                                               Polynomial fPrime,
                                               IntegerPolynomial h,
                                               NTRUSigningKeyGenerationParameters params)

      Constructs a new basis from polynomials `f, f', h`.
      Parameters:
        `f` -
        `fPrime` -
        `h` -
        `params` - NtruSign parameters

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`